Default.htm

NetSwitcher™ for Windows V3.2.6

Where do you want to Network today?™

I hate to read manuals. Get me started NOW!!

Overview
License
Getting Started
Procedures
System Specific Notes
Tab Reference
Errors
NetSwitcher Home Page

Copyright © 2003 J.W. Hance

Monday, June 23, 2003


License

License information

NetSwitcher is SHAREWARE. You may evaluate it for up to 30 days before deciding if it is worth the registration fee. If you do not feel it is worth the registration fee, you are under no obligation to continue using it nor are you under obligation to pay for it. In fact, if you choose not to license NetSwitcher, you will be in violation of this license agreement if you continue to use it. It is also against the terms of this license agreement to de-compile, disassemble, or otherwise reverse-engineer NetSwitcher. If you want to know how NetSwitcher works, please EMAIL me and I’ll be glad to explain it to you.

Remember that by using NetSwitcher you accept the terms of it’s licensing, if you cannot or will not accept these terms, then you must not use NetSwitcher at all.

NetSwitcher is Copyright © 2003 J.W. Hance with All Rights Reserved and the name NetSwitcher is claimed as a trademark of J.W. Hance. The NetSwitcher software may be freely distributed provided that all files (including this HELP file) are included with the distribution. The NetSwitcher software may also be included on CDROM or other compilations of programs provided that all files and documentation are included.

The paid license allows you to run as many copies of NetSwitcher on as many computers as you have or use. If there is more than one user, then those additional users require their own licenses. Corporate, site and source code licenses are also available at modest prices. Please contact me at my EMAIL address below for further information.

For those of you who worry about such things, NetSwitcher will not fail to work or otherwise do anything nasty to your system if you continue to use it past the evaluation period. It will periodically “nag” you about registering it if you have not done so.

You can find complete ordering information at the NetSwitcher web site ordering page. There you can find information on registering by mail or FAX using the Mail-in/FAX-in order form or you can order online with Visa/MasterCard/Discover/American Express at the Secure Web Server.

Be sure to include your EMAIL address with your registration so that I can send you the registered version.

Please feel free to contact me via EMAIL at: joe@NetSwitcher.com.

The latest version of NetSwitcher can always be found at: http://www.netswitcher.com

For those interested in volume discounts or other site licenses for NetSwitcher, please EMAIL for details.

Corporate purchase orders (US$20 minimum), check, or money orders are accepted, please EMAIL for details.

Legal Stuff - End User License Agreement (EULA)

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED.
Because of the various hardware and software environments into which NetSwitcher may be put, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED. All specifications subject to change without notice.

YOU AGREE TO BE BOUND BY THE TERMS OF THIS EULA BY INSTALLING, COPYING, OR OTHERWISE USING THE PRODUCT. IF YOU DO NOT AGREE, DO NOT INSTALL OR USE THE PRODUCT; YOU MAY RETURN IT TO YOUR PLACE OF PURCHASE FOR A FULL REFUND. In addition, by installing, copying, or otherwise using updates that you receive as part of the Product (‘‘UPDATES’’), you agree to be bound by the additional license terms that accompany such UPDATES. If you do not agree to the additional license terms that accompany such UPDATES, you may not install, copy, or use such UPDATES.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it.
The user must assume the entire risk of using the program.

ANY LIABILITY OF THE SELLER WILL BE LIMITED
EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.


Overview.htm

Overview

NetSwitcher for Windows is a versatile network location setup and management tool for Microsoft Windows 95, Windows 98, Windows Me, Windows NT4, Windows 2000, and Windows XP computers.

NetSwitcher allows you to define network and other system settings in what is called a Location Profile and then restore that profile to the system whenever you need it. This can save you time when moving from one work location to the next.

NetSwitcher is especially for those mobile computer users who move around to different locations. NetSwitcher gets you working faster by restoring all the configuration parameters you need at each location in one operation.

Development Information

NetSwitcher was developed out of an idea which started in late 1995, shortly after Windows 95 was released. Windows 95 included the new Dial-Up Network capability which made dialing into the Internet fast and easy. Unfortunately, for those of us who also needed to connect to a LAN, there was a nasty problem, DNS servers. It seemed that if one set of DNS servers was needed for the LAN, then there was no way to use another set of DNS server for Dial-Up without removing the LAN DNS servers. This was a real headache and a better way had to be found.

Shortly, the first product in this area, TCP Switcher was born. TCP Switcher managed the DNS server settings between a LAN and Dial-Up configuration. Later versions of TCP Switcher even detected the Dial-Up Network connection and automatically swapped the DNS server back and forth depending on what network interface was in use. As soon as others struggling with this problem saw TCP Switcher, they had to have a copy of their own. So we were "born" so to speak, out of a solution to a real world problem.

It soon became clear that TCP Switcher just didn't do enough. Not only was managing DNS servers an issue for many users but for those lucky people who travel about the world with their laptops in hand and need to plug into an available network outlet, IP addresses, netmasks, gateways, WINS servers, proxy servers, were just to much to remember, much less understand for most users. We started adding features to TCP Switcher and it quickly became clear that this was not the answer.

As is sometimes the best action, we started over with a "blank sheet of paper" and began developing NetSwitcher. The original goal was to have all the network settings that someone might want to manage on one screen where they could change them manually or load a new setup from a saved configuration file. We rolled out the first copy of NetSwitcher in early 1996 and it was an immediate hit. Coworkers who saw it wanted it and demanded to pay for it. Oddly enough, the first person who paid for it had $20 but needed $12 for lunch that day. I agreed to take the $8 he had available and the price seemed reasonable enough.

We posted a copy on TUCOWS about mid-1996 and all of a sudden the mailbox was full of checks for $8. Some corporate users caught on to this thing and started asking if we'd sell them multiple licenses, or even company wide licenses. Then one large company came along and threatened to buy a lot of copies if we could do the same thing for Windows NT4, which they used on all their company laptops. Up until this point, NetSwitcher was Windows 95 only.

We set about to make NetSwitcher work on NT4 and after a few (well maybe more than a few!) long nights, it worked on NT4 as well as Windows 95. It was a hit! That customer bought a pile of licenses and it wasn't long before others were jumping at this as well. Before long it became clear that we needed our own web site and so http://www.NetSwitcher.com was born. I was amazed that the domain name "NetSwitcher.com" hadn't been taken already. But hey, sometimes you're just blessed.

In mid 1999 we got our hands on a copy of Windows 2000 in the hopes of getting NetSwitcher running on that upcoming OS. It soon became clear that there were a lot of little things that were changed. NetSwitcher V2 was already becoming "spaghetti" code from all the "if(windows95), else if(windows98), else if(windowsNT)" code in it, not to mention the differences between OSR1, OSR2, OSR2.1, OSR2.5, DUN1.0, 1.1, 1.2, 1.3, WINSOCK1, and WINSOCK 2. Again, we needed to start over and do it right with the ability to support multiple versions of Windows. We also needed a way to release the "core" of NetSwitcher to some 3rd party developers who needed to do what NetSwitcher does from their own applications.

In mid 1999, we started what is now NetSwitcher V3. This code has been rewritten from the ground up and is designed to be easily extensible and to easily support new versions of Windows and their inherent features.

We hope you find using NetSwitcher to be a real timesaver and please let us know if there is any was we can me it more valuable to you.

Author

NetSwitcher was designed and developed by J.W. Hance. J.W. Hance is an independent software developer and consultant specializing in network programming, system configuration, NT services, and telecommunications. J.W. Hance holds a BS degree in Electrical Engineering from Rose-Hulman Institute of Technology. Which is, in my opinion, the top undergraduate engineering college in the US. Recently, US News & World Reports has recognized this fact as well. J.W. Hance is also a Licensed Professional Engineer (P.E.) by the State of Indiana.

Please feel free to contact us with any questions about our software design and development services whether they relate to NetSwitcher, its technology, or not.

Thanks....

It is unlikely that NetSwitcher would have been possible without the following products which were instrumental in its development:

Microsoft Visual C++ V6.0
Microsoft Visual SourceSafe
Dell Dimension XPS Computers
Toshiba Tecra Notebook Computers
Microsoft FrontPage 2000
Iomega Zip Drives
Microsoft Developer Network Subscription
Indigo Rose Software / Setup Factory 5.0
DataPipe Web Hosting
PJBox
Folgers Coffee
We are also grateful to the following
authors and these very helpful books they've written:
Professional MFC by Mike Blaszczak
Windows NT Programming by Julian Templeman
Windows Telephony Programming by Chris Sells
Visual C++ Windows Shell Programming by Dino Esposito
Programming WinSock by Arthur Dumas
and of course...
Programming Windows by Charles Petzold


Getting Started

Getting Started with NetSwitcher

First and foremost, how to figure out what all the different boxes in the NetSwitcher windows mean. NetSwitcher has been designed with a context sensitive help system to assist you. To use this help, click your mouse on the "?" at the top right-hand corner of the NetSwitcher window:

Then drag the "?" cursor to the control you want information about. Click the mouse there and you will get the help window displayed:

Once you understand the function of the various controls on the NetSwitcher window, you can begin saving and restoring your own setups. Jump to the Procedures section to continue.

QUICK START

If you read nothing else about NetSwitcher, please read this short section. It is designed to familiarize you with the most basic features and usage of NetSwitcher and help you get the most benefit from it.

The most common question we get is basically:

"I just had a [cable modem | DSL line] installed at home and I heard that NetSwitcher might help me switch between by work settings and what I need to use at home. What do I do? The techs at [name of your cable or DSL provider] don't have a clue how to use NetSwitcher."

Here is what we recommend that you do:

  1. Before changing anything on your system, run NetSwitcher and click the [image] button. This will make a "snapshot" of your current network settings and will permit you to come back to this later. Let's assume that this is your typcial OFFICE setup so when NetSwitcher asks for a name for this setup, give it the name "OFFICE". Note that the FIRST TIME you run NetSwitcher on a new system, it will ask you to save the original setup. It's OK to do that and do this here as well.

  2. Now you're ready to configure for your cable or DSL setup. Use whatever information your cable or DSL provider has given you. This will undoubtedly involve procedure using the Windows Network Control Panel (NCP) or perhaps running some setup program they have provided you. Don't ask them about NetSwitcher as they are not trained in its use. They basically know only the "standard" Windows procedures for which they have been trained. Follow their instructions until your cable or DSL connection is working.

  3. Now, you can use NetSwitcher again to save this cable or DSL setup. Run NetSwitcher as before and click the [image] button again. This will now save the current cable or DSL setup. Give it a name like "CABLE" or "DSL". Now you can come back to this setup when you need it.

  4. Now you're all set. You have 2 setups, OFFICE and CABLE or DSL. Before you go to the office, run NetSwitcher and select the OFFICE setup from the [image] selection box. Then click the [image] button. Then your system is ready for the office network. Before you go home, again run NetSwitcher and choose the CABLE or DSL setup. Be sure to click the [image] button again. Remember, NO CHANGES ARE MADE TO YOUR SYSTEM UNLESS YOU CLICK [image].

  5. That's it, a crash course in using NetSwitcher. As you become more familiar with Netswitcher there are many other features that you might make use of but this will get you going fast. ENJOY!


Procedures

Creating a new location
Restoring a location
Managing Stored Locations
Rebooting Requirements
Using the command line interface
Using the NetSwTray utility
NetSwitcher V2 NSW file conversions


Create New Location

Creating a New Location

As soon as you start NetSwitcher, you are ready to create a new Location Profile. When it starts, NetSwitcher reads the current system configuration and displays it. This is an image of how your system is presently set up. A good thing to do here is to save this as a profile called Original so that you will always be able to return to a known good setting.

If this is the first time you have run NetSwitcher, you will likely not have and stored locations. The Choose location selection box will look like this:

if you have existing setups, you will see this:

In either case, you can create a new setup by clicking on the [image] button. Now you will be asked to specify the name of the setup profile.

You are free to use any name you want here but a good tip is to use a name which will remind you where this profile is used. Names like Home Network, Main Office, Toledo Ohio Branch Office are all examples of names.

Enter the name you want to use for this Location Profile in the Save this setup dialog box:

If you have any existing saved profiles, they will be displayed in the list above the name entry box. If you click the mouse on one of these, that name will be copied into the name entry box. In that case, you will OVERWRITE that existing setup. Be sure that this is what you want to do before clicking OK.


Restoring a Location

In order to make any changes to your system configuration, you must do two things:

Step One:

You must do something that changes one of more of the settings displayed in the NetSwitcher window. This can be done either directly by entering new data in the fields (called Manual Data Entry) or by restoring a previously saved Location Profile. To use Manual Data Entry, just click the mouse on the NetSwitcher tab that contains the settings you want to change and enter your desired setup there.

To restore a previously saved Location Profile, click the Choose location dropdown menu and pick from the list of available setups:

Step Two:

No changes are made to your system immediately as a result of either Manual Data Entry or choosing a previously saved Location Profile. In order to make the changes effective, you must click the [image] button. Unless you click this button, NO CHANGES will be made to your system.

Once you have clicked the Apply button, the changes will be stored in your computer's configuration.


Managing Stored Locations

To rename, copy, delete, export, or import existing location profiles, open the Location Manager dialog. To access this function, click the mouse where it says:

RIGHT CLICK the mouse here for the NetSwitcher QuickMenu

Below the Location selection box on the NetSwitcher main window:

Choose the Manage Locations item from the menu.

Now the Manage Locations dialog box is displayed:

Now you can choose to Delete a profile, Rename a profile, Copy one profile to another name, Export a profile to a file, or Import a profile that has been exported..

When you are finished managing stored profiles, click the Done Managing Locations button.


Reboot Notes

NetSwitcher tries to determine whether or not a reboot is needed in order for the changes you have requested to be effective. There are many factors which affect the reboot status but in general, the following table describes which changes appear to need a reboot on which Windows version and which do not.

Please note that this information has not been documented by Microsoft and has been determined experimentally. Your results may vary.

Item Changed                      Reboot needed for the change to be effective?
in the Setup                       Win95    Win98/ME  WinNT    Win2000/XP
----------------------------------------------------------------------
IP address from static to static     Y        Y        N         N
IP address from DHCP to static       Y        Y        Y         N
IP address from static to DHCP       Y        Y        Y         N
DNS server address                   N        N        N         N1
WINS server address                  N        N        N         N
Internet Explorer Settings           N        N        N         N
Netscape Navigator Settings          N        N        N         N
Gateway Address                      Y        Y        Y         N1
NT Domain or Workgroup               N        N        Y         N2
Default Printer                      N        N        N         N
Primary Network                      Y        Y        X         X
Computer Name                        N        N        N         N
Time Zone                            N        N        N         N
Phone Settings                       N        N        N         N

               (Y-Reboot Needed, N-Not needed, X-Not applicable)
(1-Under some circumstances W2K seems to need a reboot after this change.)
(2-No reboot is needed but you must logoff and then logon again for the new settings to be effective.)


Command Line

Command Line Options

The NetSwitcher V3 application accepts the following command line options:

-help

This will display a dialog box with the available command line options.

-location XXX

This will load the location profile named XXX. Note that this string is case-sensitive and if the name contains spaces, it must be enclosed in quotes. For example:

NETSWII -location "Chicago Office" [-reboot | -shutdown]

-import XXX

This will load the exported location profile from the file named XXX and apply it to the system. Note that if the name contains spaces, it must be enclosed in quotes. For example:

NETSWII -import "C:\Windows\Desktop\Home Network.Ini" [-reboot | -shutdown]

Also note that the filename given must be the complete pathname to the file.

-importsave XXX

This will load the exported location profile from the file named XXX and save it as a stored location profile. Note that if the name contains spaces, it must be enclosed in quotes. For example:

NETSWII -importsave "C:\Windows\Desktop\Home Network.Ini"

Also note that the filename given must be the complete pathname to the file.

-export_current XXX

This will export the current machine settings into a file specified by XXX.

NETSWII -export_current C:\Windows\Desktop\current.ini

-run_as_service

NetSwitcher will operate via the NetSwitcher Administrative Service. Note that the service must already be installed and running. This is a valid option on Windows NT4, Windows 2000 Professional, and Windows XP computers only. It is ignored on Windows 95, Windows 98, or Windows ME computers.

-user <username>
-pass <password>

When joining an NT Domain, most likely a username and password for the Domain Server are required. This information should be specified on the command line if loading a location that requires this information.

-shutdown
-reboot

If the specified location needs a reboot, one of the above flags will cause it to happen.


SMTP Server Redirection

SMTP Server Redirection Feature

NetSwitcher implements an SMTP Server Redirection feature that can be useful when dealing with different network providers and email servers that may block or prevent relaying of your outgoing messages depending on where you are connected. By setting up a private SMTP server name called nswsmtp. By configuring your EMAIL client software (i.e. Outlook, Eudora, etc.) use use the hostname nswsmtp, you can control how your outgoing email gets sent without having to create a different email profile for every location where you send mail from.

Here's how this works:

Let's say you are using Outlook Express and have a typical email setup as:

Here, all outgoing email is going to be sent to smtp.mydomain.com. But if I'm dialed into the internet or at home using a cable modem, the mail server at smtp.mydomain.com may refuse to relay my main since I'm considered an "outsider". Email administrators configure their servers this way to stop SPAMMERS from hijacking their email servers.

So one solution would be to just make an Outlook Express email account for every possible location where I need to use a different email server. But this can get cumbersome. So if we let NetSwitcher do the hard work, we can save ourselves a lot of time and effort.

Let's reconfigure our Outlook Express account to use nswsmtp as an email server instead of smtp.mydomain.com:

Note that ONLY the SMTP server needs to change. Now, we can have NetSwitcher redirect this via a convenient but often overlooked feature, the HOSTS file. NetSwitcher will automatically edit the Windows HOSTS file, which is used to lookup hostnames just like DNS does, and if Windows finds a reference to nswsmtp in the HOSTS file, it will use it. So we do this on the EMAIL Client tab at the bottom of the tab:

This is used by entering the IP address of the SMTP server you need to use at this location into the box. Note that this MUST be an IP address. If you don't know the IP address, enter the hostname into the box and (if you are connected to the network) click the "Get IP" button and NetSwitcher will look it up for you. If you get "Error resolving hostname" displayed, you've either entered on invalid hostname, you are off the network, or your DNS setup is bad. Once the IP is properly entered you will have an IP address in the text box:

When you either click APPLY or restore a setup containing this specification, NetSwitcher will modify your HOSTS file to have a line like:

207.46.197.102 nswsmtp

This IP is now used whenever configured email client, which reference nswsmtp, are sending email.


NetSwitcher Tray

NetSwitcher Tray Utility

NetSwitcher includes a mini-application which runs in the Windows desktop notification area (a.k.a. System Tray). When the NetSwTray is running, you will see the NetSwitcher icon displayed in the tray as shown here:

NetSwTray allows you to quickly restore any of the saved location profiles currently on your system. The saved profiles are displayed when you click either the right or left mouse button on the NetSwTray icon in the tray. When you do this, you will see a menu like this:

In addition to the saved location profiles, you may also choose to "Exit NetSwTray Application". This will cause the application to terminate. When you select this option, you will be asked if you want NetSwTray to be automatically started the next time you logon to Windows or not.

If you choose the "Run NetSwitcher" item, the full NetSwitcher application will be started for you.

Please note that a new setup is applied to your computer as soon as a location profile is selected from this list. Be aware that some setup changes can take some time to complete. In particular, change from NT domain to NT domain or from a Workgroup setup to an NT domain setup on a Windows 2000 computer can take several minutes.


NSW File Conversions

NetSwitcher V2 NSW File Conversions

Beginning with NetSwitcher V3.2.0, the ability to convert existing NetSwitcher V2 NSW files is included. This can be useful when upgrading to a new version of NetSwitcher. It is not necessary to have either NetSwitcher V2 or the system that originally created the NSW files to perform a conversion.

To access the converter, use the "Convert from..." menu item from the NetSwitcher system menu:

This will then present the user with a File Open dialog where the file to be converted will be selected. If there is more than one network adapter present in the system, it will be necessary to select which network adapter currently in the system is the one that this converted setup file will be associated with.

Note that not all NetSwitcher V3 features had a counterpart in NetSwitcher V2. This file converter will read all of the NSW file configuration elements and convert them. In the resulting V3 setup, some items may be either left as they were by default on the system or the page will be marked as "Don't include in setup" in the configuration. It may be necessary to manually edit the newly converted configuration and then SAVE it again to get the desired effect.


System Specific Notes

While every attempt has been made to have NetSwitcher operate the same on all versions of Windows, in some cases, this is not possible. There are fundamental differences in the way different version of Windows work and not all setups have a corresponding setup in another version of Windows.

Windows 95, 98, and Windows Me

Windows NT 4.0

Windows 2000/XP

NT Domain Servers

WINSOCK 1.x vs. 2.x

VPN (Virtual Private Network) Clients

Please review the RELEASE NOTES at:

http://www.netswitcher.com/v3notes.htm


Windows 95 and Windows 98

Windows 9x and Windows Me

There are no restrictions on who can make setup changes on Windows 9x/Me computers. Even if you have used the Windows 9x/Me Resource Kit POLEDIT utility to lock down network changes, NetSwitcher is still able to make any changes requested by the user. The biggest risk here is that an uninformed user can make changes to the network configuration of the computer which will make it impossible to make network connections. We are not able to assist with these problems because this is not an error in NetSwitcher. NetSwitcher sets the network configuration based on user input. If the user specifies an improper setup for the particular network the user is connecting to, then NetSwitcher will apply that setup.

When joining a Windows 9x/Me computer to an NT Server Domain, no special privileges are required on the NT Domain Server. A Windows 9x/Me client computer can come and go between workgroups and other NT domains without any security restrictions.


Windows NT 4.0

We only test NetSwitcher on the Workstation version of Windows NT 4.0. NetSwitcher may operate correctly on Windows NT 4.0 Server but we do not support this operation. If you experience a problem with NetSwitcher on NT Server, please verify that the same problem exists on NT Workstation before reporting it.

Privileges:

Note that on NT 4.0, the currently logged on user must be a member of the Administrator Group for the local NT Workstation in most cases. The default security settings for NT Workstation prevent unprivileged users from making setup changes to the network parameters. Be aware that if you are logged in as a NT domain user to a Domain Server, you need to add this account to the local workstation's user database as an Administrator. If you need to use NetSwitcher in an environment where users cannot be given privileged access to the local NT Workstation, please contact us about the NetSwitcher Administrative Service. This is an NT service which can be installed that will enable NetSwitcher to modify network setups without having to be run from a privileged login.

If you are attempting to join your NT 4.0 Workstation to an NT Sever domain, you must have access to a login and password for the NT Server which has the "Add Computer to Domain" privilege available. Generally this is a member of the "Domain Administrators" group. Remember that this privilege must be granted on the NT SERVER by the NT SERVER administrator. NT Server security cannot be circumvented by using NetSwitcher.

NetSwTray Application and Shutdown/Reboot or Logoff:

NT4 does not provide information to running applications about whether the impending termination of the session is due to a SHUTDOWN/REBOOT request or a user LOGOFF request. The NetSwTray application normally uses this information so that the "Load New Location" menu is only displayed on an impending SHUTDOWN/REBOOT. On NT4, however, this is not possible. When running the NetSwTray application on an NT4 system, the NetSwTray "Load New Location" menu will be display at every, SHUTDOWN/REBOOT or LOGOFF request.


Windows 2000

Windows 2000/XP

We only test NetSwitcher on the workstation versions of Windows 2000/XP, which are Windows 2000 Professional, Windows XP Professional, and Windows XP Home. NetSwitcher may operate correctly on Windows 2000 Server or Window .NET Server but we do not support this operation. If you experience a problem with NetSwitcher on 2000 or .NET Server, please verify that the same problem exists on a Windows WORKSTATION before reporting it.

Windows 2000/XP Professional Account Privileges:

Note that on Windows 2000/XP, the currently logged on user must be a member of the Administrator Group for the local Windows 2000/XP workstation in most cases. The default security settings for Windows 2000/XP prevent unprivileged users from making setup changes to the network parameters. Be aware that if you are logged in as a NT domain user to a Domain Server, you need to add this account to the local workstation's user database as an Administrator. If you need to use NetSwitcher in an environment where users cannot be given privileged access to the local Windows 2000/XP workstation, please contact us about the NetSwitcher Administrative Service. This is an NT service which can be installed that will enable NetSwitcher to modify network setups without having to be run from a privileged login.

If you are attempting to join your Windows 2000/XP Professional workstation to an NT Sever domain, you must have access to a login and password for the NT Server which has the "Add Computer to Domain" privilege available. Generally this is a member of the "Domain Administrators" group. Remember that this privilege must be granted on the NT SERVER by the NT SERVER administrator. NT Server security cannot be circumvented by using NetSwitcher.

Also note that Windows XP Home Edition CANNOT join an NT DOMAIN under any circumstances. Therefore the NT DOMAIN LOGON checkbox and the NT DOMAIN edit box are DISABLED in the NetSwitcher user interface.

Universal Plug and Play Setting:

Microsoft included as standard equipment a service titled "Universal Plug and Play" in Windows XP. While this is also optionally available for other Windows versions, it is not included or commonly used. The UPnP, as it is called, has generated a significant firestorm of controversy due to the possibility of serious security implications of it. There is an excellent write up of this on Steve Gibson's fine web site:

http://grc.com/unpnp/unpnp.htm

NetSwitcher provides the ability to enable or disable this service for each location. By unchecking the:

checkbox, this service can be disabled. Note that this box will only be enabled if you are on Windows XP or Windows 2000 and NetSwitcher determines that UPnP is installed AND that it has the privilege to modify its settings. Normally ONLY members of the local administrators group can start/stop or modify services.

Windows 2000/XP and the NetBIOS over TCPIP Setting:

Users are often confused by the various options in the WINS and NetBIOS category. These generate a great deal of support inquiries due do misunderstanding of what these settings are and how they affect Windows networking. NetBIOS over TCPIP and WINS are essentially related terms. WINS stands for Windows Internet Naming Service and is analogous to the widely used DNS or Domain Naming Service used on the internet. WINS itself is a holdover from the days before Microsoft "got religion" and embraced the internet. It was conceived as a way of resolving Windows hostnames on a network using TCPIP. Since TCPIP was not the favored Microsoft protocol at the time, WINS was a band-aid solution.

NetBIOS is a Microsoft interface that permits certain types of non-internet connections between Windows machines. To establish a NetBIOS connection you must have the address of the remote host. If you are using NETBEUI (a soon to be obsolete protocol from Microsoft) you know it already but if you are using only TCPIP, you need to lookup the IP address of the host you need to talk to. Here is where a NAMING SERVICE comes in. WINS is an example of a naming service as is DNS. There is also the lowly LMHOSTS file. Any of these can be used to resolve the remote Windows hostname into an IP address that Windows can use to contact the remote host.

There are 3 possible settings for this as shown below on the adapter tab in NetSwitcher:

1) NetBIOS over TCPIP Enabled. This means PERMIT NetBIOS traffic over the TCPIP protocol and use WINS (if WINS servers are specified) or DNS or LMHOSTS to resolve the IP address of the remote host.

2) NetBIOS over TCPIP Disabled. This means NOT TO PERMIT NetBIOS traffic over the TCPIP protocol. If you choose this you will NOT be able to contact other Windows hosts via NetBIOS unless there is ANOTHER PROTOCOL (like NETBEUI or IPX) installed on the computer. This may not be an issue, however, as many sites don't use NetBIOS traffic at all. If all your traffic is internet based vs. NetBIOS then you will not have a problem.

3) DHCP for WINS. This is only enabled if you are running the network adapter with DHCP. This setting permits the DHCP server to control the NetBIOS over TCPIP/WINS settings.

Which of these options you choose depends on how your network is configured. Check with your network administrators if you are unsure of the proper setting as an incorrect choice may make networking your system impossible.


NT Server Domains

When moving from one NT Server domain to another or when moving from an NT Domain to a Workgroup or vice-versa using the NT Domain items on the General tab:

Several local workstation and domain server security issues may be a problem while trying to use this setup.

Note that there are no security issues relating to this setting on Windows 95, 98, or ME client computers. These clients do not enter into a trust relationship with the NT server when they join a domain. The information in the section is only applicable to Windows NT4 and Windows 2000 Professional client computers which are attempting to join an NT domain.

The most fundamental privilege required to join a computer to a domain is administrator privilege on the LOCAL computer. If this privilege is not available to your current logon account, then it is not possible to join a domain, leave a domain and join a workgroup, or change many of the setup parameters using NetSwitcher. If you run NetSwitcher from a non-privileged account, it will display a warning message telling you that your account doesn't have the required privilege to run effectively. In most cases, your system administrator will add your local and/or domain account to the Local Administrators group on your NT Workstation. If this is not the case and it cannot be done due to your organizations security needs, it is likely that you will be unable to use NetSwitcher without the installation of additional components. NetSwitcher has an optional NetSwitcher Administrative Service that when installed by an administrator, will permit NetSwitcher to run from a normal unprivileged account. Please contact us directly for additional details on this option.

A second privilege that is required is dependent on the user account setup for you on the NT Server which manages the domain you are attempting to join. In order to join an NT domain, the NT Server requires a login using an account which has the "Add Workstations to Domain" privilege. In most installations, this privilege is not granted by default to any group except for Domain Administrators. Without this privilege, it is not possible to join an NT domain. This is a NT Server security setting and it cannot be circumvented by NetSwitcher.

Even this privilege may not be enough under all circumstances. Please refer to Microsoft's KB Article Q139365 for additional background information. Depending upon how your computer's machine account was initially added to the NT Server's machine account database, you may require Domain Administrator privilege as well to join your computer to an NT domain. In may cases, just having the domain administrator delete your computer account from the server's account database and then joining the domain using NetSwitcher will be sufficient to get this working as required.

We receive many inquiries asking how they can join an NT domain using NetSwitcher without having "Add Workstations to Domain" privilege. We can only give one answer: It cannot be done without this privilege. Even if we knew some sort of trick or hack (which we don't) it would be a security hack and I would expect that Microsoft would be forced into releasing a HotFix to repair this. Keep in mind that a properly installed and configured Windows NT Server is intended to be secure. Gaining privilege and performing operations on the system for which you are not authorized is blocked by the design of the operating system.


WINSOCK

WINSOCK 1.x vs. 2.x

There are a few settings which are dependent on the version of WINSOCK which is installed on the computer. In some cases, WINSOCK 2.x is the default since that is the one shipped with the computer. In particular, Windows 98, NT4.0, and Windows 2000 include WINSOCK 2.x as their default WINSOCK library. Windows 95 computers, however, may have either WINSOCK 1.x or 2.x installed depending on how the system was built and whether or not the WINSOCK 2.x update was installed. In general, we suggest that all system be upgraded to WINSOCK 2.x.


VPN Clients

VPN (Virtual Private Network) Client Software

and NetSwitcher

VPN systems have become increasingly popular over the last couple of years and more and more companies are deploying them to facilitate secure communications with their remote workers. While these tools are very useful, Microsoft has not included a standard interface by which a VPN client can be included in the Windows network driver architecture. The result of this is that each VPN vendor is able to make their own decision about how to best install their particular VPN client software onto a Windows computer.

Many of these VPN clients install themselves in such a way as to interrupt the linkage in the system between the installed network card information in the registry and the particular network protocols in use on the system. Then that particular VPN client uses its own internal scheme for locating which protocol belong to which network card. Each VPN vendor chooses their own scheme and each is mutually incompatible.

The byproduct of this is that NetSwitcher is often unable to locate the TCPIP settings for a particular network card when a VPN client is installed on the computer. Since each vendor's methods are unique to their own client, each VPN client must be specifically supported.

We have attempted to contact the various VPN vendors to obtain the information we need to build support for their particular client into NetSwitcher. Some (see below) have been cooperative, others have either ignored our requests for assistance or have even been hostile and threatening toward our requests. As such, only the VPN vendors listed below are supported by NetSwitcher. If your VPN vendor is not listed below, you can assume that they either ignored repeated requests or informed us that they considered their VPN product proprietary and that any attempts on our part to reverse engineer any part of its functions would be viewed as a violation of their intellectual property and that they would take appropriate steps to protect themselves. If you find yourself in a position where your VPN product is not supported, we suggest that you contact the vendor as their customer and ask them to contact us directly. Otherwise, we suggest you consider changing to a VPN vendor that is more in tune with their customer's needs.

Currently, the following VPN Clients are supported in NetSwitcher V3.2.0 and later:

Cisco Systems VPN 5000 (a.k.a. Altiga Networks VPN Client)

Cisco Systems/Compatible Systems VPN Client

CheckPoint Software Technologies, Ltd. SecuRemote VPN-1 Client

(Note that there are other VPN clients on the market that are OEM versions of the above and may indeed work, even though they are not listed here.)


Tab Reference

This documents all of the different NetSwitcher setup tabs which might be displayed. Keep in mind, however, that one of more of these tabs may not be displayed on your system if NetSwitcher does not detect this module installed on your system.

General
Phone
TCPIP
Adapter
AIM
File Sharing
Internet Explorer
Netscape Navigator
Novell Netware
EMail Clients
WINSOCK Proxy Client (WSP)
Extensions


General

The General tab contains some various status indicators and some system wide network settings. Also included are the time zone, primary network login, and default printer settings.


Phone

Most of the controls on the Phone tab are read-only. The only configuration here is to select a telephone dialing location using the "I am dialing from" list. If you need a new location, click the "Create of Edit Dialing Properties" button and the Windows phone dialing properties dialog will be displayed.


TCPIP

The TCPIP tab displays settings which are specific to the TCPIP networking protocol.


Adapter

This tab displayed settings which are specific to an individual network adapter. There will be one of these tab created for each network adapter detected in the computer. Each one will have the name of the network adapter displayed at the top of the tab.

There are 4 sections in this page, the IP Address/Mask, the DNS, the GATEWAY, and the WINS settings. Note that not all of these may be active on all Windows versions.


AIM

The AIM tab displays settings for the AOL Instant Messenger application setup. This tab will not be displayed if AIM is not installed on the computer.


File Sharing

The file sharing tab controls local drives or folders which are being shared on the network as well as remote shares which are being mounted by this computer.


Internet Explorer

This tab controls the settings for Microsoft Internet Explorer.


Navigator

Netscape Navigator

This tab controls and displays the settings for Netscape Navigator. This tab will only be displayed if NetSwitcher detects a copy of Navigator or Communicator installed on the computer.


Novell

This tab displays the Novell Client settings. This tab will not be displayed if a version of Novell Client-32 is not installed on the system.


Novell

EMail Clients

This tab displays the Email Client settings. Currently, NetSwitcher supports changing between configured email users for Qualcomm's Eudora Pro V4.x and Microsoft's Outlook and Outlook Express. If the selection box is disabled then NetSwitcher was unable to detect the installation of that EMail program.

Note that it is not possible to create new EMail client settings within NetSwitcher. All of the supported EMail client programs support the definition and configuration of multiple mail personalities. NetSwitcher displays the available personalities and allows you to associate a particular personality with a NetSwitcher setup.

If you don't wish to associate an EMail client personality with a particular NetSwitcher setup, then check the "Don't configure" box on the EMail client.

This tab also implements a special feature for redirecting your outgoing (i.e. SMTP delivered) email through a variable host IP address. See the SMTP Server Redirection section for details on the use of this.


WINSOCK Proxy Client

This tab controls the settings for the Microsoft Proxy Server V2.0 WINSOCK Proxy Client (WSP).


Extensions

The Extensions tab has two functions. In the upper part of the tab, any installed NetSwitcher Extension Modules (NSX) will be displayed. These can be installed, deleted, or activated using the buttons below the list.

At the bottom of the tab is the setup for external commands that can be run by NetSwitcher after the Apply button is clicked.


Error Reference

DC ERROR - This error means that the Domain Controller (DC) for the NT Domain you specified could not be contacted in order to perform a domain join operation. The most likely cause is that your network properties are not set in such a way as to permit network communications with the DC, or you are not plugged into a physical network that can reach the DC.

TCPIP Protocol is not bound to this adapter - If this message is displayed on the Adapter tab for a particular network adapter, it means that for whatever reason, the TCPIP protocol settings are not found on this adapter. It could mean exactly what it says, that is the TCPIP protocol is not bound to this adapter. It could also mean that there is something interfering with the ability of NetSwitcher to locate the TCPIP protocol settings. The most common culprit here is a VPN Client which is installed on your computer. For more details, see the section on VPN Clients.

"Crash-in-crash" - This is one of those things that is not supposed to happen. Of course, with computer programs, the impossible always does seem to happen somewhere. Basically, this means that NetSwitcher was trying to display it crash status message and there was another crash that happened during that process. Rather than continuing this process forever, NetSwitcher just displays the "Crash-in-crash" message and terminates.

So what can you do about it? Sometimes, useful debugging information can be obtained by turning off the NetSwitcher CrashCatcher function and letting Windows catch the crash by itself. Do this by opening a DOS or CMD window and CDing to the NetSwitcher install directory. Typically this would be C:\Program Files\NetSwitcher for Windows. Then start NetSwitcher with the "-nocrash" option like this:

C:\Program Files\NetSwitcher for Windows>netswii -nocrash

You will see a dialog that says:

Click OK and then Windows should catch the error. On some systems you will get the standard crash dialog. The useful information is the data in the scrollable window. Please copy all of the information out of the window and send it to me along with your Windows version information and the exact version of NetSwitcher. The crash dialog looks like:

To get to the important information, you must click the "Details>>" button. Then you will see:

Be sure to select ALL of the text in the window and copy it using the mouse:

Then paste it into an email message like:

NETSWII caused an invalid page fault in
module NETSWII.EXE at 0187:0040a06b.
Registers:
EAX=00000002 CS=0187 EIP=0040a06b EFLGS=00010246
EBX=ffffffff SS=018f ESP=007cf6c4 EBP=007cfd88
ECX=00464e28 DS=018f ESI=0046b328 FS=4407
EDX=00000000 ES=018f EDI=00481c80 GS=43f6
Bytes at CS:EIP:
80 25 00 00 00 00 00 59 83 f8 01 59 c7 05 78 1c
Stack dump:
00481c80 00464dfc 0046b328 0046b328 ffffffff 007cf740 00430601 0046a260 00009012 00000010 007cf740 00000000 00009049 01010810 00488320 0000006c

On Windows NT or Windows 2000 systems, you may get a DR WATSON log dump. This will put the data into your DRWATSON.LOG file which is normally found in C:\WINNT.

NetSwitcher CrashCatcher Dump - Sometimes a serious error may occur in NetSwitcher due to some unanticipated configuration in your system or a bug in NetSwitcher itself. In order to assist in diagnosing and quickly correcting these problems, NetSwitcher attempts to open and dump a NOTEPAD window with debugging information in it. If this happens, it will look something like:

Please copy the contents of this NOTEPAD window to an email and send it to us for analysis.


; Main window

.topic 2000
NetSwitcher status bar.

.topic 1032
Causes any display mode change to be defered until the next time the system is restarted.

.topic 1256
Selects a different video display mode to be used with a specific profile.

.topic 1253
Forces the default printer setting into the setup for ALL users of the machine.  (NT4/2000/XP only)

.topic 1030
Disable the Universal Plug and Play service on this Windows XP system.  UPnp has been identified as a major security risk and it should be disabled whenever your system is exposed to an unsafe network.  See http://grc.com/unpnp/unpnp.htm for additional details. Windows XP (or Win2000 with optional UPnP installed) only.

.topic 1034
Enable or disable the Windows Messenger Service.  SPAMMERS are now using this service to send
annoying and often pornographic messages to users hooked to broadband connections.  This disables
the service thus preventing these popups.  If you are hooked to a secure or corporate
network, this is not usually a problem and may wish to enable this service. (NT4/2000/XP only)

.topic 1037
Prevents any of the items on this page from being saved in the
setup or from being applied to the system when the Apply button
is clicked.

.topic 1052
Prevents any of the items on this page from being saved in the
setup or from being applied to the system when the Apply button
is clicked.

.topic 3
Applies the current configuration shown in the window.
Click this button after you have selected a new setup
from the Location selection box or have modified one
or more settings directly in the NetSwitcher parameter
fields.

.topic 1226
Applies the current configuration shown in the window.
Click this button after you have selected a new setup
from the Location selection box or have modified one
or more settings directly in the NetSwitcher parameter
fields.

.topic 1227
Exits the NetSwitcher application. If Apply was never
clicked, then no changes are made to the system.

.topic 1
Exits the NetSwitcher application. If Apply was never
clicked, then no changes are made to the system.

.topic 2
Exits the NetSwitcher application.

.topic 9
Saves the setup currently displayed in the NetSwitcher
window to a location.  After clicking this button a
save dialog will be displayed so that a location name
can be entered.

.topic 7
Displays the About NetSwitcher dialog.

.topic 5
Opens the NetSwitcher help system.

.topic 1001
Displays a list of the locations which have been saved and
are available to be loaded.  Choose the item from the list
which matches the location you want to load.  No changes
to the system configuration will be made unless the Apply
button is clicked.

.topic 1011
Displays the currently running version of Microsoft Windows.

.topic 1017
Displays the version of DUN or RAS which is installed on this computer.

.topic 1029
Displays the version of the WINSOCK library which is installed on this computer.

.topic 1041
The name of the last location profile that was applied using NetSwitcher.

.topic 1145
Opens your default web browser and links to the current NetSwitcher release notes.

.topic 1018
The Windows or NETBIOS computer name for this computer.  For Windows 2000 computers,
this is also the TCPIP network hostname. (Reboot: 9x, NT, 2K)

.topic 1021
If this computer is a member of a workgroup, the name of the workgroup is
displayed here. (Reboot: NT; Logoff: 2K)

.topic 1033
Win9x only.  This disables the password cache. (Reboot: 9x)

.topic 1028
Win9x only.  If set, this leaves any network connections uninitialized until they are
actually needed.  Otherwise, all network connections are opened when the user logs in
to Windows. (Logoff: 9x)

.topic 1035
Win9x only.  A comment which can be used to describe the computer.

.topic 1024
If this computer is a member of an NT Server domain, the name of the domain
is shown here.  For Win9x client computers, no special privileges are needed
to join or unjoin a domain either on the client computer or the NT Server.  On
Windows NT4 or Windows 2000 client computers, however, you must have administrator
group privileges on the local computer and you must have the "Add Workstation to Domain"
privilege on the NT Server in order to join a domain.  Please note that one Windows 2000/XP
computers it can take a VERY LONG TIME to join an NT Domain.  Delays of up to several
minutes are common.  While NetSwitcher is waiting for Windows 2000 to complete the
process of joining the domain, it will display a "Working" progress window.  Please
DO NOT INTERRUPT THIS PROCESS.  If you do, you may render your Windows 2000 computer
incapable of joining the domain. See the NetSwitcher help file System Specific Notes
for more information. This feature is unavailable on XP Home. (Reboot: NT; Logoff: 9x, 2K/XP)

.topic 1026
Select this box to join the computer to the NT Server domain specified in the NT Domain
box. For Win9x client computers, no special privileges are needed
to join or unjoin a domain either on the client computer or the NT Server.  On
Windows NT4 or Windows 2000 client computers, however, you must have administrator
group privileges on the local computer and you must have the "Add Workstation to Domain"
privilege on the NT Server in order to join a domain.  When you select this box, you
will be prompted for the username and password for a privileged account on the NT Server.
See the NetSwitcher help file System Specific Notes for more information. This feature is
unavailable on XP Home. (Reboot: NT; Logoff: 9x, 2K/XP)

.topic 1137
Select your current time zone from the selections in this box.

.topic 1031
Win9x only.  This selects the primary network client logon to use when logging onto the
computer. (Logoff: 9x)

.topic 1013
Selects the default printer to use.

.topic 1256
Selects the DISPLAY MODE to use at the new location

.topic 1032
Defers the application of a new display mode until after the next time the system is restarted.

.topic 1200
Right click the mouse here to get a popup menu with all of the tabs displayed as well
as access to the location management function.

.topic 1147
Stacks the setup tabs vs. displaying them in a row from left to right.

.topic 1201
What were you expecting here?  This is just an icon and doesn't do anything useful.

.topic 0

// Telephone dialing TAPI

.topic 1135
Click here to create a new telephone dialing location or to edit an existing one.

.topic 1123
Choose your current telephone dialing location here.

.topic 0

; Network adapter

.topic 1030
The list of TCPIP address and NETMASK values for this network adapter. Windows 9x
can have up to 3 sets, Windows NT4 and Windows 2000 can have up to 10. If DHCP is
used on an adapter it will always be the first in the list. (Reboot: 9x, NT)

.topic 1005
Moves the currently selected IP address up or down by one in the list.

.topic 1032
Adds a new IP address to the list for this adapter.

.topic 1034
Deletes the currently selected IP address for this adapter.

.topic 1023
Set to enable DNS on this adapter. Windows 2000 only.  Windows 9x and NT4
set this on a system wide basis in the TCPIP settings tab.  For a DHCP setup,
this will usually be disabled as DHCP typically sets the DNS server.  Any setting
made here will override the DHCP setup for this parameter.

.topic 1258
Windows XP ONLY.  Enables or disables the Windows XP FIREWALL.

.topic 1259
Windows XP ONLY.  Enables or disables the INTENET CONNECTION SHARING feature.

.topic 1040
The list of DNS servers on this adapter. Up to 10 may be configured. Windows 2000 only.  Windows 9x and NT4
set this on a system wide basis in the TCPIP settings tab.

.topic 1007
Move the DNS servers up or down in the list.  Windows 2000 only.  Windows 9x and NT4
set this on a system wide basis in the TCPIP settings tab.

.topic 1043
Adds a new DNS server to the list.  Windows 2000 only.  Windows 9x and NT4
set this on a system wide basis in the TCPIP settings tab.

.topic 1044
Delete a DNS server from the list.  Windows 2000 only.  Windows 9x and NT4
set this on a system wide basis in the TCPIP settings tab.

.topic 1046
The list of gateway IP addresses for this adapter. Generally there will only one but
up to 10 may be configured.  (Reboot: 9x, NT)

.topic 1009
Move the selected gateway up or down one in the list.

.topic 1048
Add a new gateway for this adapter.

.topic 1049
Delete the selected gateway from this adapter.

.topic 1002
The primary WINS server IP address for this adapter.  WINSOCK 2.x systems only.
On WINSOCK 1.x systems, this setting is made system wide on the TCPIP tab.

.topic 1012
The secondary WINS server IP address for this adapter.  WINSOCK 2.x systems only.
On WINSOCK 1.x systems, this setting is made system wide on the TCPIP tab.

.topic 1019
The WINS Scope ID.  This setting is system wide but is shown here for consistency.

.topic 1112
Enable the WINS/NetBIOS over TCPIP setting.  WINSOCK 2.x systems only.
On WINSOCK 1.x systems, this setting is made system wide on the TCPIP tab.

.topic 1014
Disable the WINS/NetBIOS over TCPIP setting.  WINSOCK 2.x systems only.
On WINSOCK 1.x systems, this setting is made system wide on the TCPIP tab.

.topic 1015
The WINS/NetBIOS over TCPIP settings will be made by the DHCP server.

.topic 1015
Enable the DHCP server to configure WINS for this adapter.  WINSOCK 2.x systems only.
On WINSOCK 1.x systems, this setting is made system wide on the TCPIP tab.

.topic 1036
Enable this device in the hardware device manager. Windows 9x and NT4 only. (Reboot: 9x, NT4)

.topic 0

; TCPIP

.topic 1016
The TCPIP hostname.  On Windows 2000, this setting is forced to be the same as the
computer name setting on the General tab.

.topic 1003
The TCPIP domain name (mydomain.com).  On Windows 2000 this is the global domain name
setting.

.topic 1027
Set to enable DNS on this system.  Windows 9x, NT only.  Windows 2000
sets this on an adapter basis in the specific adapter settings tab.  For a DHCP setup,
this will usually be disabled as DHCP typically sets the DNS server.  Any setting
made here will override the DHCP setup for this parameter.

.topic 1205
The list of DNS servers on this system. Up to 10 may be configured.  Windows 9x, NT only.  Windows 2000
sets this on an adapter basis in the specific adapter settings tab.  For a DHCP setup,
this will usually be disabled as DHCP typically sets the DNS server.  Any setting
made here will override the DHCP setup for this parameter.

.topic 1202
Move the DNS servers up or down in the list.  Windows 9x, NT only.  Windows 2000
sets this on an adapter basis in the specific adapter settings tab.

.topic 1203
Adds a new DNS server to the list.  Windows 9x, NT only.  Windows 2000
sets this on an adapter basis in the specific adapter settings tab.

.topic 1204
Delete a DNS server from the list.  Windows 9x, NT only.  Windows 2000
sets this on an adapter basis in the specific adapter settings tab.

.topic 1025
List of domain names to append to a non-fully qualified hostname (i.e. myhost)
in order to attempt a DNS resolution.  Typically this will be your primary
TCPIP domain name.  This is a system wide setting.  If there are multiple entries, separate the entries with a comma.  (Example: domaina.com,domainb.com, etc...)

.topic 1010
Pathname to the Windows LMHOSTS file.  This is used for Windows hostname
resolution in lieu of WINS servers.  Win 9x/ME only. (Reboot: 9x/ME)

.topic 1045
The primary WINS server IP address for this system.  WINSOCK 1.x systems only.
On WINSOCK 2.x systems, this setting is made on an adapter by adapter basis on
the specific adapter's tab.

.topic 1047
The secondary WINS server IP address for this system.  WINSOCK 1.x systems only.
On WINSOCK 2.x systems, this setting is made on an adapter by adapter basis on
the specific adapter's tab.

.topic 1022
The WINS Scope ID.

.topic 1112
Enable the WINS settings.  WINSOCK 1.x systems only.
On WINSOCK 2.x systems, this setting is made on an adapter by adapter basis on
the specific adapter's tab.

.topic 1020
Enable the DHCP server to configure WINS for this adapter.  WINSOCK 1.x systems only.
On WINSOCK 2.x systems, this setting is made on an adapter by adapter basis on
the specific adapter's tab.

.topic 0

; AOL Instant Messenger

.topic 1097
The AIM server hostname or IP address.

.topic 1098
The AIM server port.

.topic 1100
Connect to the AIM server via a proxy.

.topic 1099
The hostname or IP address of the proxy server.

.topic 1102
The port to use on the AIM proxy server

.topic 1103
Specifies a SOCKS4 proxy.

.topic 1104
Specifies a SOCKS5 proxy.

.topic 1106
Specifies an HTTPS (secure) proxy.

.topic 1108
The username to use on the proxy server.

.topic 1109
The password to use on the proxy server.

.topic 1111
Resolve hostnames via the proxy server.

.topic 1101
Keep the connection to the AIM server alive.

.topic 0

; Extensions

.topic 1155
Displays the list of currently installed NetSwitcher extension modules.

.topic 1156
Activates the user interface dialog for the selected extension.

.topic 1157
Opens a file browser dialog to select a NetSwitcher extension module (NSX) file
or DLL.  Note that this feature is disabled when NetSwitcher is running using the NetSwitcher Service.

.topic 1158
Deletes the currently selected extension module from the NetSwitcher setup.

.topic 1163
A list of commands that will be run in sequence after all other setup changes have
been made.

.topic 1164
Moves the currently selected command up or down in the list order.  Note that this feature is disabled when NetSwitcher is running using the NetSwitcher Service.

.topic 1165
Adds a new command to the list.  Note that this feature is disabled when NetSwitcher is running using the NetSwitcher Service.

.topic 1038
Edits the selected command.  Note that this feature is disabled when NetSwitcher is running using the NetSwitcher Service.

.topic 1166
Deletes a command from the list.  Note that this feature is disabled when NetSwitcher is running using the NetSwitcher Service.

.topic 0

;  File sharing and network drives

.topic 1057
A list of shared folders on this computer.

.topic 1059
Add a new share to the list.

.topic 1070
Edit an existing shared folder's properties.

.topic 1060
Remove a share from the list.

.topic 1058
The list a remote network drives to be connected.

.topic 1062
Add a new remote network drive.

.topic 1064
Remove a network drive from the list.

.topic 0

; Internet Explorer

.topic 1140
How to connect to the Internet.

.topic 1141
If dialup is specified, use this DUN/RAS connection to connect.

.topic 1080
Use an autoconfiguration script for IE settings.

.topic 1083
URL to the autoconfig script.

.topic 1061
Use a proxy server.

.topic 1065
The proxy server hostname or IP to use for HTTP.

.topic 1066
The proxy server port for HTTP.

.topic 1071
The proxy server hostname or IP to use for HTTPS.

.topic 1072
The proxy server port for HTTPS.

.topic 1073
The proxy server hostname or IP to use for FTP.

.topic 1074
The proxy server port for FTP.

.topic 1075
The proxy server hostname or IP to use for Gopher.

.topic 1076
The proxy server port for Gopher.

.topic 1077
The proxy server hostname or IP to use for SOCKS.

.topic 1078
The proxy server port for SOCKS.

.topic 1079
Use the HTTP proxy for ALL the proxy settings.

.topic 1063
Bypass the proxies on local addresses.

.topic 1081
List of network addresses which are considered local.  This is a semicolon ";" delimited
list of full or partial network addresses.  For example: "192.168.0;*.mydomain.com;10.0"

.topic 0

; Netscape Navigator

.topic 1082
Use a proxy server.

.topic 1084
The proxy server hostname or IP to use for HTTP.

.topic 1086
The proxy server port for HTTP.

.topic 1087
The proxy server hostname or IP to use for HTTPS.

.topic 1088
The proxy server port for HTTPS.

.topic 1089
The proxy server hostname or IP to use for FTP.

.topic 1090
The proxy server port for FTP.

.topic 1091
The proxy server hostname or IP to use for Gopher.

.topic 1092
The proxy server port for Gopher.

.topic 1093
The proxy server hostname or IP to use for SOCKS.

.topic 1094
The proxy server port for SOCKS.

.topic 1096
List of network addresses which are considered local.  This is a semicolon ";" delimited
list of full or partial network addresses.  For example: "192.168.0;*.mydomain.com;10.0"

.topic 0

; Novell client

.topic 1050
The Novell Client-32 name context.

.topic 1051
The preferred Novell server to use.

.topic 1053
The preferred directory tree.

.topic 1123
Select a Novell location profile.

.topic 198
Use NDS instead of bindery.

.topic 199
Use bindery instead of NDS.

.topic 165
The Novell Client-32 name context for this location.

.topic 168
The preferred Novell server to use for this location.

.topic 171
The preferred directory tree for this location.

.topic 0

; WINSOCK Proxy Client

.topic 188
Enable the use of the WINSOCK Proxy Client on this computer. (Reboot: 9x, NT, 2K)

.topic 189
Force the use of IPX/SPX through the proxy server. (Reboot: 9x, NT, 2K)

.topic 190
The WINSOCK Proxy Server to use. Example: \\PROXYSERVER  (Reboot: 9x, NT, 2K)